Bug 1289537 - Cache-api is needed when using uberjars even if CDI isn't used
Cache-api is needed when using uberjars even if CDI isn't used
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Build (Show other bugs)
6.6.0
Unspecified Unspecified
unspecified Severity high
: CR3
: 6.6.0
Assigned To: Vaclav Dedik
Martin Gencur
:
Depends On:
Blocks: 1292720
  Show dependency treegraph
 
Reported: 2015-12-08 07:05 EST by Jiri Holusa
Modified: 2016-01-25 04:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Holusa 2015-12-08 07:05:11 EST
During migration of quickstarts to uber-jars, I ran into this usability issue. See: https://github.com/jboss-developer/jboss-jdg-quickstarts/pull/114

The thing is that (e.g. in helloworld-jdg quickstart), there is absolutely no need for javax.cache.cache-api. However, if this dependency is not present, the deployment will fail with java.lang.ClassNotFoundException: javax.cache.annotation.CacheResult

The workaround is simple - add the dependency and everything works fine. However, it's a little strange to add dependency that is not needed at all.
Comment 5 Martin Gencur 2015-12-18 04:24:46 EST
All quickstarts now (ER4) work correctly without the cache-api dependency.
Comment 6 Martin Gencur 2016-01-22 07:54:58 EST
This issues was probably not fully fixed as appeared during verification of https://bugzilla.redhat.com/show_bug.cgi?id=1292720

This problem was fixed for infinispan-embedded but there's still a problem with infinispan-remote which requires cache-api dependency in order to be deployed to EAP.

Looks like the carmart quickstart in its "remote" profile was blocked by a different issue in ER4 and it did not help reveal this bug during ER4 testing :(

I have to re-open it now.
Comment 9 Martin Gencur 2016-01-25 04:39:46 EST
All of the following tests passed:
* all quickstarts, including the remote profile of carmart quickstart
* func. tests for HotRod client in EAP and OSGi
* func. tests for embedded cache in OSGi
* func. tests for CDI extension in both embedded and remote mode

Marking this BZ as verified.

Note You need to log in before you can comment on or make changes to this bug.